---
layout: handbook-page-toc
title: Enablement Sub-department
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

Offer enterprise-grade operational experience of GitLab products from streamlined deployment and maintenance, disaster recovery, secure search and discoverability, to high availability, scalability, and performance.


## Mission

Enablement focuses on improving our capabilities and metrics in the following areas:

 * [Database](/handbook/engineering/development/enablement/data_stores/database/)
 * [Distribution:Build](/handbook/engineering/development/enablement/systems/distribution/#distribution-build)
 * [Distribution:Deploy](/handbook/engineering/development/enablement/systems/distribution/#distribution-deploy)
 * [Geo](/handbook/engineering/development/enablement/systems/geo/)
 * [Gitaly](/handbook/engineering/development/enablement/systems/gitaly/)
 * [Memory](/handbook/engineering/development/enablement/data_stores/memory/)
 * [Global Search](/handbook/engineering/development/enablement/data_stores/search/)
 * [Pods (formerly Sharding)](/handbook/engineering/development/enablement/data_stores/pods/)

## Fiscal Year 2023 Direction
 * Significantly improve the scalability of database by completing the CI decomposition and continuing to the next phase of sharding, as well as making robust database foundations and tooling
 * Improve enterprise experience by growing feature maturity in areas such as CNG and Geo
 * Expand market opportunities by building and enhancing features such as Code Search

 For more details, refer to the [Enablement Sub-department Direction](/handbook/engineering/development/enablement/direction.html).

<%
  departments = [
    { name: 'Database', manager: 'alexives' },
    { name: 'Distribution:Build', manager: 'david-mountney' },
    { name: 'Distribution:Deploy', manager: 'eng-manager-distribution' },
    { name: 'Geo', manager: 'juan-silva' },
    { name: 'Gitaly', manager: 'andrashorvath' },
    { name: 'Global Search', manager: 'cliu', regexp: /Global Search/ },
    { name: 'Memory', manager: 'cliu', regexp: /Memory/ },
    { name: 'Pods (formerly Sharding)', manager: 'gitlabbarry' },

 ]
 department_regexp = /(#{Regexp.union(departments.map{ |d| d[:name] })})/
%>

## All Team Members

The following people are permanent members of teams that belong to the Enablement Sub-department:

<% departments.each do |dep| %>
### <%= dep[:name] %>
  <%= direct_team(manager_slug: dep[:manager], role_regexp: dep[:regexp]) %>
<% end %>

## Business Continuity - Coverage and Escalation

The following table shows who will provide cover if one or more of the Enablement Engineering management team are unable to work for any reason.

| Team Member     | Issues/MRs Backup        | People Management Backup    | Escalation   |
| -----           | -----                    | -----                 | -----        |
| Chun Du         | Christopher Lefelhocz    | Christopher Lefelhocz | Eric Johnson |
| Nick Nguyen     | Kamil Trzcinski (Pods/Decomposition) | Changzheng Liu, Alex Ives        | Chun Du      |
| Changzheng Liu  | Dmitry Gruzd (Global Search), Matthias Käppler (Memory)             | Nick Nguyen           | Chun Du      |
| Alex Ives       | Andreas Brandl           | Nick Nguyen           | Chun Du      |
| Steven Wilson   | Jason Plum               | DJ Mountney           | Chun Du      |
| DJ Mountney     | Steven Wilson            | Steven Wilson         | Chun Du      |
| Andras Horvath  | Patrick Steinhardt       | Chun Du    | Chun Du      |
| Barry Firman    | Thong Kuah               | Nick Nguyen           | Chun Du      |

If an Engineer is unavailable the person providing `Issues/MRs` coverage will reassign open issues and merge requests to another engineer, preferably in the same [group](#all-team-members).

Some people management functions may require escalation or delegation, such as BambooHR and Expensify.

This can be used as the basis for a BCP [Communication Plan and Role Assignments](/handbook/business-ops/gitlab-business-continuity-plan/#communication-plan-and-role-assignments),
as well as a general guide to Enablement Engineering continuity in the event of one or more team members being unavailable for any reason.

## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Enablement|Enablement:/, direct_manager_role: 'Director of Engineering, Enablement') %>

## How We Work

### Dashboards

<%= partial "handbook/engineering/metrics/partials/_cross_functional_section_dashboard.erb", locals: { filter_value: "enablement" } %>

### Professional Development
1. Conference, meetup, and training: To request budget for these career development events, please refer to [budget application for professional development](./processes/budget_approval.html).
2. Promotion: An individual is ready for promotion when both the individual and the manager reach consensus that the individual is performing job competencies at the next level of career ladder according to the [Engineering Career Framework](/handbook/engineering/career-development/matrix/engineering/).
   * Managers, when proposing a promotion for your team member use the [People Group promotion document template](https://docs.google.com/document/d/1nDkYGK2yhe8pD-lnMGmEF-Cf0IlGgVOznjXMq9FxGiQ/edit).
   * Promotion cycle occurs quarterly according to the [People Group process](https://about.gitlab.com/handbook/people-group/promotions-transfers/#promotions-process--timeline) and timeline.
   * In addition to the formal People Group promotion document which is eventually shared company wide, Development also requires a separate "areas of improvement" document that is only shared with leadership and the team member.
   * Supporting documents including the People Group justification and "areas of improvement" are typically due a month ahead of the published schedule [aligned with the `Planning` dates in this timeline](/handbook/people-group/promotions-transfers/#promotion-process--timeline) to allow for peer review among Senior Managers and Directors ahead of formal calibration sessions.

### Weekly Async Updates (No Status Update In Meetings)

In order to embody GitLab [CREDIT values](/handbook/values/#credit), we take team status update to async. Instead of reporting on status in meetings, Directors, Senior Engineering Managers, Engineering Managers provide weekly async updates.  The content of these updates may vary week over week but generally cover:

1. Team projects, priorities, KPIs, OKRs
2. Other priorities (e.g. [Working Groups](/company/team/structure/working-groups/), [FCLs](/handbook/engineering/#feature-change-locks), special initiatives, etc.)
3. Highlights & Accomplishments
4. Announcements & topics of interest to those reading the report

We use issues to communicate status asynchronously. The reporting issues reside in [Enablement Status Update](https://gitlab.com/gitlab-org/enablement-section/enablement-status-update) project. There are two types of report issues - issues for each group, stage, and Director; summary issues for each week and month for quick access. The creation of these issues is automated by scripts and a cron job in the same project. The summary issues are also updated regularly by the same cron job to pull the latest together.

#### To make a weekly async update

Engineering managers are encouraged to make as many updates as needed throughout the week.

1. Open the weekly issue for your team, for example [Database](https://gitlab.com/gitlab-org/enablement-section/enablement-status-update/-/issues/50).
2. Edit the issue description and apply the issue template [group-weekly-status](https://gitlab.com/gitlab-org/enablement-section/enablement-status-update/-/blob/main/.gitlab/issue_templates/group-weekly-status.md).
3. Fill in the content in the issue description.

#### To review Enablement weekly async updates

1. All issues with the `~Enablement::Weekly-Update` label are summarized in weekly and monthly issues, for example [W23 Enablement Sub-Dept Status Summary (2022-06-12 - 2022-06-18)](https://gitlab.com/gitlab-org/enablement-section/enablement-status-update/-/issues/13), [M6 Enablement Sub-Dept Status Summary (Jun 2022)](https://gitlab.com/gitlab-org/enablement-section/enablement-status-update/-/issues/6).
2. You are encouraged to comment and ask questions in weekly async update issues.  This provides useful feedback to the author and opportunities to collaborate.

#### Benefits of reporting and reviewing status async vs. synchronously in meetings

1. Collaboration - By sharing announcements, achievements, goals, and plans we are empowering team members with the information they need to make sound decisions and succeed in their roles.
1. Results - Async updates provide an important channel for sharing accomplishments and progress.
1. Efficiency - Expecting each team member to [poll](https://en.wikipedia.org/wiki/Polling_(computer_science)) for the status they need is extremely inefficient and becomes more inefficient as the organization grows. By using a [Publish Subscribe model](https://en.wikipedia.org/wiki/Publish%E2%80%93subscribe_pattern) we are able to share information much more efficiently.
1. Diversity, Inclusion & Belonging - Async status is more inclusive of team members across timezones.  Not every team member will be able to make a sync meeting (due to timezone or other factors) but everyone can participate in an async update.
1. Iteration - Taking the time to checkpoint where we are at each week prompts the author and readers to consider ways to iterate and to reflect on incremental progress.
1. Transparency - Sharing information in a consistent, accessible way increases transparency and reduces the threshold for team members to contribute.

### Dogfood Roadmap in Planning
To enhance the overview of team direction, all Enablement development teams use Epics to organize projects and dogfood the [Roadmap](https://docs.gitlab.com/ee/user/group/roadmap/index.html) feature to communicate short- and mid-term product development roadmap, although each team customizes their usage such as applying specific labels. Examples:
* [Advanced Search roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name%5B%5D=group%3A%3Aglobal%20search&label_name%5B%5D=Roadmap)
* [Geo roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=group%3A%3Ageo)
* [Memory roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=group%3A%3Amemory&label_name[]=Roadmap)
* [Database roadmap](https://gitlab.com/groups/gitlab-org/-/roadmap?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Roadmap&label_name[]=group%3A%3Adatabase)

### Long Standing Merge Requests
* Engineering managers and team members will periodically review the [long standing MRs](https://app.periscopedata.com/app/gitlab/576886/New-Enablement-Section-Overview-Dashboard?widget=7530886&udv=0) and decide appropriate actions for MRs lasting more than 30 days.
* From time to time, MRs are created without intention to merge, such as research spikes, novel ideas, etc. In this case, always prefix the MR subject line with `WIP`. These MRs exempt from the above review.

| WIP in Subject? | > 30 days? | Action Required? |
| ------ | ------ | ------ |
| Yes | Yes | No |
| Yes | No | No |
| No | Yes | Yes |
| No | No | No |

### Increasing Efficiency through Documenting Decisions
Documenting development decisions is another way to increase efficiency.  These decisions can be either in an issue explicitly stating that we will not work on this issue, the product category page for your group or a more formal decision log in your group's section of the handbook.  Whatever your chosen desitination, each group should try to maintain a [single source of truth](https://about.gitlab.com/handbook/values/#single-source-of-truth) for the decisions.  A recent example (without mentioning specific product name) had a development team researching an open source product to accelerate development time only to find out later that this research had been previously completed and the product was eliminated from consideration.  If this decision had been discoverable via documentation or issue it would have saved precious development time.

We have started creating decision logs to benefit our internal development team as well as our greater GitLab community.  It is up to each group to determine the best location for decision logs to be discoverable.  For example, the Database team has a decision log for [Sharding GitLab with CitusDB](https://about.gitlab.com/handbook/engineering/development/enablement/database/doc/citus.html) in the Enablement/Database section of the handbook and a decision log for the [Sharding Working Group](https://about.gitlab.com/company/team/structure/working-groups/sharding/#outcome---closed) in the working group section of the handbook.

For issues, a clear decision is when an issue is successfully closed.  However, if an issue is closed because we "won't do it" it may not be immediately clear.  We are adopting the `~won't do` label for those issues.  Often the pattern is to just stash these issues in the `~backlog`.  This can be misleading to those watching the issue and frustrating to the original author, especially if they are a community contributor.  When we apply a `won't do` label to an issue, we are making a clear decision.  If there is no pushback on the `won't do` label then we made the right decision.  If there is pushback and we need to reprioritize the issue, then that is a good outcome as well.

## Software Subscriptions
The Enablement teams leverage the following software or SaaS services to deliver our products. For general information of procurement, checkout the [procurement team page](/handbook/finance/procurement/). For procurement questions, bring to [#procurement](https://gitlab.slack.com/archives/CPTMP6ZCK). To make new Purchase Order (PO), create a new [procurement issue](https://gitlab.com/gitlab-com/Finance-Division/procurement-team/procurement/-/issues/new?issuable_template=software_vendor_contract_request).

| Software | Vendor Link | Term    | Renewal Date | Team Impacted | Comments |
| -----    | -----       | -----   | -----      | -----         | -----    |
| packagecloud.io | [https://packagecloud.io/](https://packagecloud.io/) | Annual | March 30th | Distribution | Existing vendor, [last renewal issue](https://gitlab.com/gitlab-com/finance/-/issues/2304)  |
| dependencies.io | [https://www.dropseed.io/](https://www.dropseed.io/ ) | Annual | November 1st | Distribution | Existing vendor, [last renewal issue](https://gitlab.com/gitlab-org/distribution/team-tasks/-/issues/514) |
| postgres.ai     | [https://postgres.ai/](https://postgres.ai/)     | Annual  | May 28th          | Database     | Existing vendor, [last renewal issue](https://gitlab.com/gitlab-com/Finance-Division/procurement-team/procurement/-/issues/676) |


## Common Links

* Issue Boards
  * [Database Milestone Board](https://gitlab.com/groups/gitlab-org/-/boards/1318796?label_name[]=group%3A%3Adatabase)
  * [Distribution - Deliverable Board](https://gitlab.com/groups/gitlab-org/-/boards/1282058?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Deliverable&label_name[]=group%3A%3Adistribution&milestone_title=%23started)
  * [Geo Kanban Board](https://gitlab.com/groups/gitlab-org/-/boards/1181257?label_name[]=geo%3A%3Aactive)
  * [Gitaly Engineering Board](https://gitlab.com/groups/gitlab-org/-/boards/1140874?milestone_title=Upcoming&label_name[]=group%3A%3Agitaly)
  * [Gitaly Planning Board](https://gitlab.com/groups/gitlab-org/-/boards/3999272?label_name[]=group%3A%3Agitaly)
  * [Memory Milestone Board](https://gitlab.com/groups/gitlab-org/-/boards/1143987?label_name[]=group%3A%3Amemory)
  * [Global Search Milestone Board](https://gitlab.com/groups/gitlab-org/-/boards/1339901?label_name[]=group%3A%3Aglobal%20search)
* Slack Channels
  * Enablement Sub-department [#s_enablement](https://app.slack.com/client/T02592416/CMPK8QBB9)
  * Database team [#g_database](https://gitlab.slack.com/app_redirect?channel=g_database)
  * Distribution team [#g_distribution](https://gitlab.slack.com/messages/C1FCTU4BE)
  * Geo team [#g_geo](https://gitlab.slack.com/messages/C32LCGC1H)
  * Gitaly Team [#g_create_gitaly](https://gitlab.slack.com/messages/C3ER3TQBT)
  * Memory team [#g_memory](https://gitlab.slack.com/messages/CGN8BUCKC)
  * Global Search team [#g_global_search](https://gitlab.slack.com/app_redirect?channel=g_global_search)
